:root {
  --md-primary-fg-color: #00493f;  /* Default color (fallback) */
  --atrian-brand: #00493f;  
  --attrian-brand-lighter: #028c80; 
  --attrian-primary: #00C1B5; 
  --md-primary-fg-color--light: #028c80;
  --md-primary-fg-color--dark:  #00C1B5;
  --sidebar-color:#191c33
}

.md-button {
  display: inline-block;
  padding: 12px 24px;
  font-size: 16px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  outline: none;
  color: #fff;
  background-color: var(--atrian-brand);
  border: none !important;
  border-radius: 30px;
  transition: background-color 0.3s ease, transform 0.3s ease, box-shadow 0.3s ease;
}


.md-button:hover,.md-button:focus  {
  background-color: var(--attrian-primary) !important;
  color: #fff !important;
  border: none !important;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2) !important;

}

/* Light mode colors */
[data-md-color-scheme="default"] {
  --md-primary-fg-color: var(--attrian-primary);
}

/* Dark mode colors */
[data-md-color-scheme="slate"] {
  --md-primary-fg-color: var(--attrian-primary); 
}

/* .md-header {
  background-color: var(--atrian-brand) !important;
} */

.md-header__button.md-logo img, 
.md-header__button.md-logo svg {
  height: 2rem !important;
  width: auto;
}

.md-source__icon {
  display: none !important;
}


/* git icon override */
.md-source__repository::before {
  content: "";
  background-image: url('../assets/ATTRIAN_logo.png'); 
  background-size: cover;
  margin-bottom:3px;
  width: 20px;
  height: 20px;
  background-repeat: no-repeat;
  background-position: center;
  display: inline-block;
  vertical-align: middle; 
}


.md-nav__link:hover,.md-nav__link:focus,.md-nav--primary .md-nav__list .md-nav__link:hover{
  color: #00C1B5 !important; 
}

.md-nav--primary .md-nav__list .md-nav__link{
  color: white !important; 
}

.md-nav--primary >.md-nav__list{
  width:260px;
  margin-top:50px;
  display: flex;
  flex-direction: column;
  gap:20px;
}
.md-nav--primary >.md-nav__list label{
  font-size: 17px;
  font-family: sans-serif;
}


.md-grid {
  max-width: 100vw;
}

.md-main__inner{
  margin: 0;
}


.md-sidebar--primary, 
.md-sidebar--primary > .md-sidebar__scrollwrap {
  background-color: var(--sidebar-color);
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  position:fixed;
  top:0;
  bottom:0;
  margin:0px;
  height:100vh !important;
  width:265px;
  z-index: 100000;
}


.md-content, .md-header__topic {
  margin-left:265px !important;
}

.md-logo{
  display: none !important;
}

.md-sidebar--primary .md-nav__title {
  display: none;
}

.md-nav--primary > .md-nav__list > li:first-child::before {
  content: "";
  display: block;
  background-image: url('../assets/ATTRIAN_logo-green.png'); 
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  width: 100%;
  height: 60px; 
  margin-bottom: 40px; 
  transform: translateX(-13px);
}

@media (max-width: 1220px) {
  .md-logo {
    display: block !important;
  }
  .md-content, .md-header__topic {
    margin-left: 0 !important;
  }
  .md-sidebar--primary .md-nav__title {
    display: block;
  }
  .md-nav--primary .md-nav__list .md-nav__link {
    color: black !important; 
  }
  .md-nav--primary > .md-nav__list {
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    gap: 5px;
  }
 
  .md-nav--primary > .md-nav__list > li:first-child::before {
    display: none;
  }
  .md-sidebar--primary, 
  .md-sidebar--primary > .md-sidebar__scrollwrap{
    width:227px;
  }
}



.md-footer {
  display: none;
}
